# StatisticsClassification (ARX GUI Documentation)

org.deidentifier.arx.aggregates

## Class StatisticsClassification

- java.lang.Object
- - org.deidentifier.arx.aggregates.StatisticsClassification

-     public class StatisticsClassification
      extends java.lang.Object

  Statistics representing the prediction accuracy of a data mining classification operator

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `StatisticsClassification.PrecisionRecallMatrix` A matrix mapping confidence thresholds to precision and recall

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getAccuracy()` Returns the resulting accuracy.
    `double` | `getAverageError()` Returns the average error, defined as avg(1d-probability-of-correct-result) for each classification event.
    `int` | `getNumClasses()` Returns the number of classes
    `int` | `getNumMeasurements()` Returns the number of measurements
    `double` | `getOriginalAccuracy()` Returns the maximal accuracy.
    `double` | `getOriginalAverageError()` Returns the average error, defined as avg(1d-probability-of-correct-result) for each classification event.
    `StatisticsClassification.PrecisionRecallMatrix` | `getOriginalPrecisionRecall()` Returns a precision/recall matrix for LogisticRegression on input
    `StatisticsClassification.PrecisionRecallMatrix` | `getPrecisionRecall()` Returns a precision/recall matrix
    `double` | `getZeroRAccuracy()` Returns the minimal accuracy.
    `double` | `getZeroRAverageError()` Returns the average error, defined as avg(1d-probability-of-correct-result) for each classification event.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getAccuracy

          public double getAccuracy()

      Returns the resulting accuracy. Obtained by training a Logistic Regression classifier on the output (or input) dataset.
      Returns:

    - #### getAverageError

          public double getAverageError()

      Returns the average error, defined as avg(1d-probability-of-correct-result) for each classification event.
      Returns:

    - #### getNumClasses

          public int getNumClasses()

      Returns the number of classes
      Returns:

    - #### getNumMeasurements

          public int getNumMeasurements()

      Returns the number of measurements
      Returns:

    - #### getOriginalAccuracy

          public double getOriginalAccuracy()

      Returns the maximal accuracy. Obtained by training a Logistic Regression classifier on the input dataset.
      Returns:

    - #### getOriginalAverageError

          public double getOriginalAverageError()

      Returns the average error, defined as avg(1d-probability-of-correct-result) for each classification event.
      Returns:

    - #### getOriginalPrecisionRecall

          public StatisticsClassification.PrecisionRecallMatrix getOriginalPrecisionRecall()

      Returns a precision/recall matrix for LogisticRegression on input
      Returns:

    - #### getPrecisionRecall

          public StatisticsClassification.PrecisionRecallMatrix getPrecisionRecall()

      Returns a precision/recall matrix
      Returns:

    - #### getZeroRAccuracy

          public double getZeroRAccuracy()

      Returns the minimal accuracy. Obtained by training a ZeroR classifier on the input dataset.
      Returns:

    - #### getZeroRAverageError

          public double getZeroRAverageError()

      Returns the average error, defined as avg(1d-probability-of-correct-result) for each classification event.
      Returns:

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`